SystemOrganization addCategory: #'PEGWiki-Components'!

ALExample subclass: #ALAsyncExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PEGWiki-Components'!

!ALAsyncExample methodsFor: 'as yet unclassified' stamp: 'chc 1/20/2016 12:38'!
renderContentOn: html
	html span
		class: 'counter';
		id: 'count';
		with: '0'.
((PWModel storage at: #render) = 'on') ifTrue: [
	html form id: 'myform'; beMethodPost; with:
		[html textarea name: 'wikiString'; with: [ html text: (PWModelConfiguration instance valueAt: #currentString)].
		 html br. 
		 html input beTypeSubmit ]]. 
	self renderScriptsOn: html! !

!ALAsyncExample methodsFor: 'as yet unclassified' stamp: 'chc 1/11/2016 12:51'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js'.
	html script src: 'http://localhost:8624/jquery.form.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	html script 
		type: 'application/javascript';
		with: [self renderFormScriptOn: html].
	html script
		type: 'application/javascript';
		with: [self renderInitScriptOn: html]! !

ALAsyncExample subclass: #PWConfigPage
	instanceVariableNames: 'integer something'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PEGWiki-Components'!

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 1/7/2016 18:45'!
initialize
	integer := 'off'.
	something := 'Coco Beware'! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 2/1/2016 13:50'!
renderAttribute: anAttribute on: anHtmlCanvas

	! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 3/18/2016 12:54'!
renderContentOn: html
	html form beMethodGet; with:
		[ html p: 'Show wiki syntax form for editing page content: '.
			html input 
			beTypeRadio;
			value: 'on';
			callback: [:str | PWModel storage at: #render put: str ];
			with: [html text: 'On'].
		html br. 
		html input beTypeRadio;
			value: 'off';
			callback: [:str | PWModel storage at: #render put: str ];
			with: [html text: 'Off'].
		html br.
		html input beTypeSubmit; value: 'Save'.
		html br.
		html text: (PWModel storage at: #render) ].
	
		html table with: [ 
			PWModelConfiguration instance groupedAttributes do: [:association| 
					html tr with: [
						html td colspan: '2'; with: [ html h3: (self labelForSelector: association key).
							association value do: [ :attribute |
								self renderAttribute: attribute on: html ]
				 			]]]].
		html br.
		html table
			with: [html tr
				with: [html td with: 'Port'.
					html td with: '8624']].
		html textarea.
		html form beMethodGet; with:
		[html input 
			beTypeText
			value: integer printString;
			size: '100';
			callback: [:str | Compiler evaluate: str unescapePercents "integer := str ""asNumber"];
			with: [].
		html text: integer "asWords"].
		self renderStyleOn: html.
		
		
		
		! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 1/28/2016 12:32'!
renderStyleOn: html
	^ html style: '
			table, tr, td {border: 1px solid green;}'! !

ALTextareaTag subclass: #PWAppTextareaTag
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PEGWiki-Components'!

!PWAppTextareaTag methodsFor: 'accessing' stamp: 'chc 1/7/2016 18:39'!
callback: aValuable
	self name: (canvas currentForm registerCallback: aValuable) asString
! !

!PWAppTextareaTag methodsFor: 'accessing' stamp: 'chc 1/7/2016 18:39'!
send: aSelector to: anObject
	self value: (anObject perform: aSelector).
	self callback: [:v | anObject perform: aSelector asMutator with: v]! !
